@media all and (max-width: 1399px) {
  h2, h3 {font-size: 33px;}
  .carousel-control-next, .carousel-control-prev {width:3%;}
  .main-slider-section .main-slider-overlay h1 {font-size: 54px;} 
  .carousel-fade .carousel-item img {height: 600px;object-fit: cover;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption h1 {font-size: 48px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption p.lead {font-size: 16px;}
  .slider-section {max-width: 1140px;height: 45vh;}
  .fact-grids .fact-grids-detail h6 {font-size: 18px;}
  .fact-grids .fact-grids-detail p {font-size: 15px;}
  .dashboard-section .city-card-content h2 {font-size: 30px;}
  .dashboard-section .city-card-content h5 {font-size: 18px;}
  .dashboard-section .city-card-content p.lead {font-size: 16px;max-width: 85%;}
  .project-wide-section .display-6 {font-size: 36px;}
  .xb-cta h2 {font-size: 36px;}
  .event-content h4 {font-size: 18px;}
  .featured-content h3 {font-size: 24px;}
  .card-custom h3 {font-size: 54px;}
  .get-a-quote .middle-content {padding: 0 24px;}
  .get-a-quote .left-side-image, .get-a-quote .right-side-image {height: 450px;}
  .get-a-quote .middle-content h1.display-4 {font-weight: 600;font-size: 54px;}
  .get-a-quote .middle-content h3 {font-size: 21px;margin: 15px 0 24px 0;}
}
@media all and (max-width: 1199px) {
:root {--primaryBorderRadius: 15px;}
  h2, h3 {font-size: 30px;}
  h5 {font-size: 18px;}
  h6 {font-size: 16px;}
  p {font-size: 14;}
  .lead {font-size: 15px;}
  .btn-custom {height: 45px;font-size: 15px;padding: 0 15px;}
  .main-slider-section .carousel-inner .carousel-item img {height: 520px;}
  .main-slider-section .main-slider-overlay h1 {font-size: 48px;}
  .main-slider-badges {gap: 15px;}
  .main-slider-badges a {height: 48px;font-size: 16px;padding: 0 15px;}
  
  .main-slider-section .carousel-inner .carousel-item .carousel-caption h1 {font-size: 42px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption .main-slider-badges {gap: 15px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption .main-slider-badges a {height: 45px;font-size: 16px;padding: 0 15px;border-radius: 8px;}
  
  .fact-grids .fact-grids-detail {padding: 15px 10px;border-radius: 15px;}
  .fact-grids .fact-grids-detail .fact-icon img {height: 35px;}
  .fact-grids .fact-grids-detail .fact-icon {min-width: 70px;min-height: 70px;width: 70px;height: 70px;}
  .university-slider {height: 575px;}
  
  .project-card {padding: 20px 15px;margin: 0 0 24px 0;}
.aside-card {padding: 20px 15px;}
  
  .university-section .city-card-content .btn-custom .btn-custom-icon-holder {margin-left: 0px;}
  .university-section .city-card .city-card-img img {height: 280px;}
  .university-section .city-card-content h2 {font-size: 18px;}
  .founders-section .founder-image img {height: 380px;}
  .form-image {height: 450px;}

  .slider-section {max-width: 960px;height: 40vh;}
  .dashboard-section .city-card .city-card-img img {height: 350px;}
  .card-custom {padding: 20px;}
  .card-custom h3 {font-size: 48px;}
  .card-custom p.lead {font-size: 16px;margin: 0 0 15px 0;}
  .project-wide-section .display-6 {font-size: 30px;margin: 0 0 20px 0;}
  .xb-cta h2 {font-size: 30px;}
  .project-wide-section .lead {font-size: 15px;}
  .get-a-quote .middle-content h1.display-4 {font-size: 48px;}
  .get-a-quote .middle-content h3 {font-size: 18px;margin: 15px 0;}
  .slider-section .slider .slide .overlay { padding: 24px 30px;}
  .slider-section .slider {gap: 24px;}
  
  .map iframe {height: 420px;}

  .contact-inner-slider .display-5 {font-size: 42px;}
  .f-carousel .f-carousel__slide img {height: 350px;}
  .project-wrape .project-detail ul {display: block;}
}
@media all and (max-width: 991px) {
  p, ul li {font-size: 14px;}
  h2 {font-size: 27px;margin: 0 0 24px 0;}
  h5 {font-size: 16px;}
  .pt-80 {padding: 60px 0 0 0;}
  .py-80 {padding: 60px 0;}
  .main-slider-section .main-slider-overlay {padding: 88px 0 0 0;}
  .main-slider-section .carousel-inner .carousel-item img {height: 420px;}
  .main-slider-badges a {height: 48px;font-size: 14px;padding: 0 20px;}
  .project-wide-section ul li {display: inline list-item;}
  .inner-slider {height: 380px;}
  .university-section .city-card .city-card-img img {height: 320px;}
  .university-section .city-card-content h2 {font-size: 21px;}
  .founders-section .founder-image img {height: 320px;}
  
  .fact-grids {margin: 24px 0 0 0;grid-template-columns: repeat(3, 1fr);}
  .university-slider h1 {font-size: 30px;}
  
  .main-slider-section .carousel-inner .carousel-item .carousel-caption {padding: 0;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption h1 {font-size: 42px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption .main-slider-badges {gap: 15px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption .main-slider-badges a {height: 45px;font-size: 16px;padding: 0 15px;border-radius: 8px;}
  .slider-section {max-width: 720px;height: 35vh;}
  .project-wide-section .project-image {margin: 0 0 30px 0;}
  .project-wide-section .project-image img {width:100%;height:320px;object-fit:cover;object-position:center;}
  .project-wide-section .display-6 {font-size: 30px;margin: 0 0 20px 0;}
  .get-a-quote {padding: 0;}
  .get-a-quote .middle-content {padding: 0 15px;}
  .get-a-quote .middle-content h1.display-4 {font-size: 42px;}
  .get-a-quote .middle-content h3 {font-size: 16px;margin: 15px 0;}
  .get-a-quote .left-side-image, .get-a-quote .right-side-image {height: 420px;}
  .team-card.middle-team-card img {height: 400px;width:100%;object-fit:cover;object-position:center;}
  .advice-section {padding: 60px 0;}
  footer h5 {margin: 0 0 15px 0;font-size: 18px;} 
  footer {padding: 45px 0 15px 0;}
  .contact-inner-slider .display-5 {font-size: 36px;}
  .project-wrape .project-detail ul {display: grid;}
  .amenities-card h6 {font-size: 15px;}
  .aside-card {margin: 30px 0 0 0;padding: 24px 15px;}
  
  .map {margin: 15px 0 0 0;}

}
@media all and (max-width: 767px) {
  :root {--primaryBorderRadius: 15px;}
  h1 {font-size: 33px;} 
  h2, h3 {font-size: 27px;}
  .btn-custom {padding: 0 20px;}
  .carousel-control-next, .carousel-control-prev {display: none;}
  .main-slider-overlay {padding: 88px 0 0 0;text-align: center;}
  .main-slider-section .main-slider-overlay h1 {font-size: 42px;}
  .main-slider-section .carousel-inner .carousel-item img {height: 380px;}
  .main-slider-badges {gap: 10px;justify-content: center;}
  .main-slider-section .main-slider-overlay p.lead {height: 45px;font-size: 14px;padding: 0 10px;}
  .main-slider-badges a {height: 40px;font-size: 15px;padding: 0 15px;}
  .main-slider-section .main-slider-overlay {background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.22) 85%, rgba(0, 0, 0, 0.84) 100%);align-items: end;padding: 0 0 60px 0;}
  .main-slider-badges a {height: 42px;font-size: 14px;padding: 0 10px;}
  
  .main-slider-section .carousel-inner .carousel-item .carousel-caption {background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.22) 85%, rgba(0, 0, 0, 0.84) 100%);align-items: end;padding: 0 0 45px 0;align-items: center;justify-content: end;text-align: center;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption h1 {font-size: 30px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption .main-slider-badges {gap: 15px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption .main-slider-badges a {height: 45px;font-size: 16px;padding: 0 15px;border-radius: 8px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption p.lead {font-size: 16px;}
  
  .university-slider {height: 600px;}
  
  .founder-content {margin: 24px 0 0 0;text-align:center;}
  .founders-section {padding: 60px 0;}
  
  .slider-section {max-width: 540px;height: 35vh;}
  .slider-section .slider {gap: 15px;}
  .dashboard-section .city-card .city-card-img img {height: 320px;}
  .card-custom h3 {font-size: 42px;}
  .card-custom h3::after {top: 7px;right: -35px;font-size: 30px;}
  .card-custom p.lead {font-size: 13px;margin: 0 0 10px 0;}
  .get-a-quote {padding: 0;}
  .get-a-quote .left-side-image {border-radius: 0 0 30px 30px;}
  .get-a-quote .right-side-image {border-radius: 30px 30px 0 0;}
  .get-a-quote .middle-content {padding: 30px 15px;}
  .team-card.middle-team-card img {height: 320px;object-position: top center;}
  .team-card.middle-team-card .team-member-info h4 {font-size: 21px;margin-bottom: 5px;}
  .footer-links {margin: 0;}
  .project-call-card {flex-direction: column;gap: 15px;align-items: start;}
  .contact-inner-slider .display-5 {font-size: 33px;}
  .slider-section .slider .slide .slider-overlay {gap: 10px;justify-content: end;padding: 24px 15px;flex-direction: column;align-items: start;height: 100%;}
  .slider-section .slider .slide.show-content .slider-overlay .r-side .btn-custom {margin: 0;height: 40px;font-size: 14px;padding: 0 15px;}
  .slider-section .slider .slide .slider-overlay h4 {margin-bottom: 0;font-size: 18px;}
  .slider-section .slider .slide .slider-overlay p {opacity: 0.9;margin: 0 0 10px 0;}
  .slider-section .slider {gap: 5px;}
  
  .project-wrape .project-detail h4 {font-size: 21px;}
  .cta-section {padding: 24px;border-radius: 15px;margin: 0 0 24px 0;}
  .cta-content h2 {font-size: 30px;}
  .cta-content p {font-size: 16px;}
  
  .dashboard-section .city-card-content {padding: 24px;}
  .dashboard-section .city-card-content h2 {font-size: 24px;}
  .dashboard-section .city-card-content p.lead {font-size: 15px;max-width: 100%;}
  .dashboard-section .city-card-content .btn-custom {margin: 15px 0 0 0;}
  .xb-cta {margin: 60px 0 0 0;padding: 30px;background-image: url(../images/home/cta-banner-mobile.png);}
  .xb-cta h2 {font-size: 24px;}
  .event-wrapper {padding: 60px 0 0 0;margin: 60px 0 0 0;}
}
@media all and (max-width: 575px) {
  h2,h3 {font-size: 24px;}
  p {font-size: 14px;}
  .py-80 {padding: 50px 0;}
  .top-header-inner {background-color: #60060f;padding: 10px 0;}
  .main-slider-section .carousel-inner .carousel-item img {height: 575px;}
  .main-slider-badges {gap: 15px;justify-content: center;display: grid;grid-template-columns: repeat(1, 1fr);}
  .main-slider-badges a {font-size: 16px;width: 100%;min-width: 100%;}
  .main-slider-section .main-slider-overlay {background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.7) 85%, rgba(0, 0, 0, 0.84) 100%);}
  .main-slider-badges a {height: 50px;font-size: 16px;padding: 0 15px;text-align: center;justify-content: center;}
  .main-slider-section .main-slider-overlay h1 {font-size: 36px;}
  .main-slider-section .carousel-inner .carousel-item .carousel-caption .main-slider-badges {gap: 15px;justify-content: center;display: grid;grid-template-columns: repeat(2, 1fr);}
  .dashboard-section .city-card .city-card-img img {height: 350px;}
  .card-custom p.lead {font-size: 16px;margin: 0 0 10px 0;}
  
   .inner-slider {height: 320px;}
   .university-section .city-card-content .btn-custom .btn-custom-icon-holder {margin-left: -3px;}
   .timeline-step {padding: 15px 0 15px 15px;}
   .timeline-step .timeline-step-header h4 {font-size: 18px;margin: 0;}
   .timeline-step .timeline-step-header {margin: 0 0 15px 0;}
   
  .xb-cta h2 {font-size: 30px;text-align: center;}
  .cta-btns {gap: 15px;margin: 30px 0 0 0;flex-direction: column;}
  .cta-no {font-size: 21px;}
  
  .event-card {padding: 10px;gap: 10px;margin-bottom: 15px;}
  .event-card img {width: 100px;height: 100px;border-radius: 10px;}
  .featured-content {width: 100%;padding: 10px 15px;}
  .featured-content h3 {font-size: 18px;}
  
  .fact-grids {grid-template-columns: repeat(2, 1fr);}
  .fact-grids .fact-grids-detail h6 {font-size: 15px;}
  .fact-grids .fact-grids-detail .fact-icon img {height: 30px;}
  .fact-grids .fact-grids-detail .fact-icon {min-width: 60px;min-height: 60px;width: 60px;height: 60px;}
  .university-slider h1 {font-size: 27px;text-align: center;}
  
  .project-card-item .project-card-item-img img {height: 320px;}
  .project-card-item .project-card-item-content {padding: 20px 15px;}

  .dashboard-section .city-card-content h2 {font-size: 21px;}
  .project-wide-section .display-6 {font-size: 27px;margin: 0 0 20px 0;}
  .get-a-quote .left-side-image, .get-a-quote .right-side-image {height: 350px;}
  .get-a-quote .middle-content h1.display-4 {font-size: 36px;}
  .team-card.middle-team-card img {height: 420px;object-position: top center;}
  .contact-inner-slider .display-5 {font-size: 30px;}
  .project-call-left p {font-size: 15px; }
  .f-carousel .f-carousel__slide img {height: 320px;}
  .project-wrape .project-detail ul {display: block;}
  .btn-close {top: -5px;right: 0 !important;}
  .form-overlay {padding: 24px 15px;}
  .form-overlay h3 {font-size: 21px;margin: 20px 0 15px 0;}
  footer {padding: 10px 0 15px 0;}
  footer h5 {font-size: 16px;}
  footer .footer-links a {font-size: 14px;}
}